Recomendaciones sobre actualizaciones de nivel 4 y 5 [SOLUCIONADO]

Spanish Forum

Moderators: tomeu, JCSenar

Post Reply
ceciliorf
Level 1
Level 1
Posts: 31
Joined: Thu Apr 13, 2017 6:22 pm

Recomendaciones sobre actualizaciones de nivel 4 y 5 [SOLUCIONADO]

Post by ceciliorf » Sun Jan 13, 2019 6:16 am

Hola de nuevo.

Yo tengo configurado en Mate que las actualizaciones solo se hagan hasta el nivel 3.

Pero ahora veo que muchas de nivel 4 y 5 se marcan solas y con una admiración roja delante. Yo las desmarco porque me dan miedo por lo que puedan hacer.

Y tampoco puedo estar haciendo copia del HD continuamente, por lo que pueda pasar.

¿ qué me recomendáis ?
Last edited by JCSenar on Sat Feb 23, 2019 2:29 pm, edited 1 time in total.
Reason: Añadido [SOLUCIONADO]

vaca
Level 1
Level 1
Posts: 49
Joined: Thu Jul 12, 2018 1:58 pm
Location: Barcelona Spain

Re: Actualizaciones peligrosas

Post by vaca » Sun Jan 13, 2019 8:16 am

En general los niveles del 1 al 3 son seguros , y del 4 al 5 hay que ser muy selectivo es decir , si tu kernel actual es satisfactorio y no tienes ningún problema reseñable no lo actualizes a no ser porque el kernel nuevo lleve algun soporte de hardware que te falte .

Del nivel 4 en mi opinión los mesa xorg o systemd se deberian de actualizar siempre , previo backup con timeshift o tambien previo respaldo del disco entero de tu linux a gusto configurado , hay brilla mi pendrive de redobackup un sistema de copia de seguridad de particiones ideal para novatos , estilo acronis solo marcar unidad de origen y destino un directorio que quieras y nombre personalizado de ese backcup y click.

Si no usas timeshift , y aplicas alguna actualización gorda o de nivel 4 o 5 y se vuelve tu mint inestable a extremos que ni puedes acceder, no pasa nada arrancas tu pendrive de redo backup e idem de lo de antes origen copia de seguridad y destino tu mint estropeado se borrara el disco entero y recreara todo el disco sistema y particiones tipo swap etc.

Asi si tienes un respaldo , puedes experimentar sin miedos , esto no es windows 10 gracias a dios y los paquetes en general son fiables en general por los repositorios de mint .

User avatar
tomeu
Level 5
Level 5
Posts: 714
Joined: Wed Mar 29, 2017 12:03 pm
Location: España

Re: Actualizaciones peligrosas

Post by tomeu » Sun Jan 13, 2019 12:12 pm

ceciliorf wrote:
Sun Jan 13, 2019 6:16 am
Pero ahora veo que muchas de nivel 4 y 5 se marcan solas .....
¿ qué me recomendáis ?
En el Administrador de Actualizaciones, te vas a "Editar" → "Preferencias" → "Niveles", y desmarcas el "seleccionado" que ahora debes tener en los niveles 4 y 5.
Te avisará de lo que hayas dejado en "visible" y te autoseleccionará lo que hayas marcado en "seleccionado". Tu decides como controlar las actualizaciones.
Desmarca todo lo del nivel 5, y lo del nivel 4 hay que actualizarlo de uno en uno, reiniciar (o como mínimo cerrar sesión y volver a abrir) y comprobar que todo va bien.
Linux Mint Tessa 19.1 64bits Cinnamon 4.0.10

ceciliorf
Level 1
Level 1
Posts: 31
Joined: Thu Apr 13, 2017 6:22 pm

Re: Actualizaciones peligrosas

Post by ceciliorf » Mon Jan 14, 2019 6:35 am

Gracias a los dos.

Efectivamente uso también Redobackup desde hace años y es magnifico.

Haré lo que aconsejas, compia completa con redo sin incluir el la partición home, ya que la hago con timeshift.

Saludos y gracias.

User avatar
JOPETA
Level 15
Level 15
Posts: 5544
Joined: Thu Nov 20, 2014 6:10 am
Location: En un lugar de cuyo nombre no quiero acordarme

Re: Actualizaciones peligrosas

Post by JOPETA » Mon Jan 14, 2019 6:40 am

ceciliorf wrote:
Sun Jan 13, 2019 6:16 am
Yo tengo configurado en Mate que las actualizaciones solo se hagan hasta el nivel 3.

Pero ahora veo que muchas de nivel 4 y 5 se marcan solas y con una admiración roja delante.
Eso son actualizaciones de Seguridad y se seleccionan por defecto si tienes activada esa opción en Gestor de actualizaciones>Preferencias>Opciones. Image

Puede modificar el comportamiento por defecto deseleccionando esta opción y seleccionar de una en una las actualizaciones de seguridad con nivel 4 o 5 para su instalación, comprobar los efectos sobre la estabilidad del sistema y poder deshacer los cambios venido el caso. :wink:

Esto es con independencia de los niveles activados, que son aplicables a las actualizaciones de software.

No dices que edición tienes instalada y existen cambios en el significado de los niveles entre LM 18.X y LM 19.X. :roll:
Last edited by JOPETA on Wed Jan 23, 2019 6:52 am, edited 2 times in total.
Ni cola de león ni cabeza de ratón, prefiero ser diente de ajo.( J. Krahe)

User avatar
Turin_27
Level 2
Level 2
Posts: 73
Joined: Fri Aug 24, 2018 9:02 pm

Re: Actualizaciones peligrosas

Post by Turin_27 » Mon Jan 14, 2019 1:16 pm

vaca wrote:
Sun Jan 13, 2019 8:16 am
En general los niveles del 1 al 3 son seguros , y del 4 al 5 hay que ser muy selectivo es decir , si tu kernel actual es satisfactorio y no tienes ningún problema reseñable no lo actualizes a no ser porque el kernel nuevo lleve algun soporte de hardware que te falte.

Desmarca todo lo del nivel 5, y lo del nivel 4 hay que actualizarlo de uno en uno, reiniciar (o como mínimo cerrar sesión y volver a abrir) y comprobar que todo va bien.
En realidad el nivel 5 directamente recomiendan no instalar nada, porque se sabe que dan problemas (textual, decía eso).

Lo de instalar una a una las de nivel 4, lo decían las viejas versiones (o al menos así es en el Mint de Debian), bastante cuestionable que ya no aparezca la advertencia.

Me alegra ver que la gente está notando lo inseguro de las nuevas políticas de seguridad y averiguan como modificarlas.
Vivere militare est.

—Séneca.

vaca
Level 1
Level 1
Posts: 49
Joined: Thu Jul 12, 2018 1:58 pm
Location: Barcelona Spain

Re: Actualizaciones peligrosas

Post by vaca » Mon Jan 14, 2019 7:45 pm

Una breve acotación respecto a redobackup soporta unidades ntfs , puedes crear tu backup a destino
en esas particiones ntfs , una gran ventaja !

User avatar
tomeu
Level 5
Level 5
Posts: 714
Joined: Wed Mar 29, 2017 12:03 pm
Location: España

Re: Actualizaciones peligrosas

Post by tomeu » Tue Jan 15, 2019 5:22 am

Está claro que me olvidé del detalle de las actualizaciones de seguridad que comenta JOPETA.
JOPETA wrote:
Mon Jan 14, 2019 6:40 am
No dices que edición tienes instalada y existen cambios en el significado de los niveles entre LM 18.X y LM 19.X. :roll:
Será LM 18.x, en el 19.x literalmente no hay nivel 5 (o yo no lo he encontrado) :P
niveles_lm19.png
Linux Mint Tessa 19.1 64bits Cinnamon 4.0.10

User avatar
JOPETA
Level 15
Level 15
Posts: 5544
Joined: Thu Nov 20, 2014 6:10 am
Location: En un lugar de cuyo nombre no quiero acordarme

Re: Actualizaciones peligrosas

Post by JOPETA » Wed Jan 23, 2019 7:27 am

Turin_27 wrote:
Mon Jan 14, 2019 1:16 pm
Lo de instalar una a una las de nivel 4, lo decían las viejas versiones (o al menos así es en el Mint de Debian), bastante cuestionable que ya no aparezca la advertencia.

Me alegra ver que la gente está notando lo inseguro de las nuevas políticas de seguridad y averiguan como modificarlas.
La personalización del Gestor de Actualizaciones no ha dejado de ser posible en ninguna edición y las recomendaciones sobre la estabilidad son plenamente vigentes (por ejemplo aquí).

Lo que si ocurre es que progresivamente se han incorporado cambios en la configuración "por defecto" que dan prioridad a la seguridad frente a la estabilidad del sistema, primero en LM18.2 con el cambio de significado de los niveles, la introducción de las políticas,...
Image
y finalmente LM 19 por defecto activa la instalación de todas las actualizaciones que se corresponde con la política más arriesgada respecto a la estabilidad pero que también es la mas segura.

Image

Así se indica en los tutoriales y notas de lanzamiento como también la posibilidad de modificar el comportamiento "por defecto" y recuperar el comportamiento "de costumbre" por la via de la personalización, quizás no con la suficiente claridad como para evitar errores de presunción de los que vienen de ediciones anteriores que pasan por alto estos cambios en la configuración por defecto del Gestor de Actualizaciones (a pesar de quedar patentes en el primer clic en Administrador de actualizaciones y las diferentes ventanas emergentes como la de la imagen del post anterior de tomeu).

Hay que tener en cuenta las circunstancias en las que se realizan los lanzamientos, sobre todo las vulnerabilidades descubiertas entonces que obligaban a actualizaciones mas frecuentes y continuos cambios en el kernel, reinstalación de controladores... A un usario "normal" le simplifica el problema de decidir qué instalar instalando todo por aquello de la seguridad, y la exigencia de una mayor experiencia para recuperar el estado anterior en caso de que casque el sistema (teniendo en cuenta que a veces no es posible deshacer todos los cambios o no fácilmente), se elude con la planificación de toma de instantáneas con timeshift. :roll:

Personalmente yo sigo a la antigua en esto también, no en vano llegué a Mint en buena parte por abandonar la política de actualizaciones desatendidas de Ubuntu y las consecuencias de tanto "upgrade" sobre la estabilidad del sistema, siendo LM 13 la primera LTS con la que agoté su tiempo de soporte sin mayores problemas. :wink:
Ni cola de león ni cabeza de ratón, prefiero ser diente de ajo.( J. Krahe)

User avatar
Turin_27
Level 2
Level 2
Posts: 73
Joined: Fri Aug 24, 2018 9:02 pm

Re: Actualizaciones peligrosas

Post by Turin_27 » Thu Jan 24, 2019 2:19 pm

Como dice Linus Torvalds, la seguridad no debería ser algo que lleve a romper el sistema (o al menos no que eso se vuelva la norma), dado que en tal caso pasa a ser más que una solución un despropócito (recuerdo bien uno de sus famosos ataques de ira por éste tema, y es que no es asunto menor, se trata de una división de filosofías super acentuada entre lo más alto del mundo Linux).

Entiendo que si se han detectado agujeros de seguridad que es necesario tapar cuanto antes, tomen medidas más firmes. Pero hay cosas a las que no les veo justificativo. Ejemplo lo de que ya no salga la advertencia de que las actualizaciones de nivel 4 es mejor instalarlas una a una y no todas de un tirón. Vamos, que si hay que instalarlas para tapar un agujero de seguridad... pues vamos, lo hacemos, pero, ¿por qué ya no recomendar hacerlo de una en una, si se sabe que es eso es beneficioso? (lo mismo que a veces hay que desisntalar cosas una a una, no sirve hacerlo todo de una vez porque literalmente el comando no funciona).

De todos modos yo creo que sería mejor que sigan apareciendo by default los niveles de seguridad. En última instancia si alguna, aunque sea nivel 4, es de necesidad bien crítica para tapar algún agujero, que aparezca un mensaje en rojo en la interfaz del gestor avisandote, que te manden avisos al escritorio cada tanto, que parpadee el ícono del gestor de actualizaciones en el panel, lo que sea. En ese caso tú lo ves, entiendes la necesidad... y te arriesgas (o no). Pero siendo que muchas actualiaciones de nivel 4 no seran de necesidad tan crítica, y ciertamente no todas son "de seguridad" (sino tan solo "de software", como se le llama aquí), de verdad no le veo el sentido a instarte todo y ya. Puede discutirse si es mejor o no en casos de necesidad real.

De todos modos me alegra que se pueda reconfigurar todo. Sigo usando LMDE3, ya casi como sistema principal, y por suerte es la misma experiencia de usuario si modificas algunas cosas. Ah, y de momento sin inconvenientes por las actualizaciones, habiendo instalado todas las de seguridad... una en una xD
Vivere militare est.

—Séneca.

Post Reply

Return to “Español (Spanish)”